[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcessPriority

type determining the priority of the newly started process.

## Declaration

Source position: process.pp line 41

`type TProcessPriority = (`
`ppHigh,` |  | The process runs at higher than normal priority.
`ppIdle,` |  | The process only runs when the system is idle (i.e. has nothing else to do)
`ppNormal,` |  | The process runs at normal priority.
`ppRealTime,` |  | The process runs at real-time priority.
`ppBelowNormal,` |  | Below normal priority
`ppAboveNormal` |  | Above normal priority
`);`

## Description

This enumerated type determines the priority of the newly started process. It translates to default platform specific constants. If finer control is needed, then platform-dependent mechanism need to be used to set the priority.